Bug 1026942 (CVE-2013-1418)

Summary: CVE-2013-1418 krb5: multi-realm KDC null dereference leads to crash
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: colin, ddas, dpal, jkurik, jplans, jrusnack, nalin, nathaniel, rmainz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131104,reported=20131105,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/krb5=affected,rhel-6/krb5=affected,rhel-7/krb5=notaffected,fedora-all/krb5=affected,cwe=CWE-476
Fixed In Version: krb5 1.10.7 Doc Type: Bug Fix
Doc Text:
It was found that if a KDC served multiple realms, certain requests could cause the setup_server_realm() function to dereference a NULL pointer. A remote, unauthenticated attacker could use this flaw to crash the KDC using a specially crafted request.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-14 05:19:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1026981, 1026997, 1089845, 1121510    
Bug Blocks: 1026945, 1063682, 1101912    

Description Vincent Danen 2013-11-05 12:11:13 EST
It was reported [1] that if a KDC serves multiple realms, certain requests could cause the setup_server_realm() funtion to dereference a null pointer, resulting in a crash of the KDC (Key Distribution Center).  This can be triggered by an unauthenticated user.

This has been correct in git [2].

[1] http://mailman.mit.edu/pipermail/krb5-bugs/2013-November/010206.html
[2] https://github.com/krb5/krb5/commit/5d2d9a1abe46a2c1a8614d4672d08d9d30a5f8bf
Comment 2 Vincent Danen 2013-11-05 14:20:00 EST
Upstream ticket:

http://krbdev.mit.edu/rt/Ticket/Display.html?id=7757
Comment 3 Vincent Danen 2013-11-05 15:41:01 EST
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1026997]
Comment 4 Fedora Update System 2013-11-11 19:28:10 EST
krb5-1.11.3-29.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-03 05:37:19 EST
krb5-1.11.3-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Huzaifa S. Sidhpurwala 2013-12-30 04:07:14 EST
Note: This issue can be triggered only if multiple realms are served from one KDC

Statement:

(none)
Comment 12 Martin Prpic 2014-09-09 05:47:11 EDT
IssueDescription:

It was found that if a KDC served multiple realms, certain requests could cause the setup_server_realm() function to dereference a NULL pointer. A remote, unauthenticated attacker could use this flaw to crash the KDC using a specially crafted request.
Comment 13 errata-xmlrpc 2014-09-16 01:29:04 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1245 https://rhn.redhat.com/errata/RHSA-2014-1245.html
Comment 14 errata-xmlrpc 2014-10-14 04:10:34 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html